## zabbix 2.0.6+dfsg

=== debian/changelog ===
zabbix (1:2.0.6+dfsg-1ubuntu2) saucy; urgency=low

  * Rebuild for libsnmp30.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 14:15:52 +0100

zabbix (1:2.0.6+dfsg-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Extended default config for agent and proxy.
    - Upstart support for all zabbix components.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 29 Apr 2013 15:08:24 -0400

zabbix (1:2.0.6+dfsg-1) unstable; urgency=low

  * New upstream release [April 2013].
  * Removed unnecessary versioned dependencies.
  * Corrected license name "MIT" --> "Expat".
  * Updated my email address.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 24 Apr 2013 14:00:51 +1000
