## zabbix 2.2.0+dfsg

=== debian/changelog ===
zabbix (1:2.2.0+dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Extended default config for agent and proxy.
    - Upstart support for all zabbix components.

 -- Matthew Fischer <matthew.fischer@ubuntu.com>  Sun, 17 Nov 2013 21:34:40 -0700

zabbix (1:2.2.0+dfsg-1) unstable; urgency=low

  * New major upstream release [November 2013].
    - dropped obsolete backported "ZBX-4986.patch"; refreshed other patches.
  * Addedd NEWS notes about automatic DB schema upgrade.
  * Removed "upgrading the database" note from README.
  * No longer ship "patch.sql"; dropped "sql-upgrades-path.patch".
  * Removed obsolete symlink to "/etc/zabbix/zabbix.conf.php"
    and corresponding lintian-override.
  * get-orig-source to remove windows .dll and .lib files from orig.tar.
  * Build with "--with-libxml2"; added "libxml2-dev" to Build-Depends.
  * Standards updated to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 15 Nov 2013 18:59:16 +1100

zabbix (1:2.0.9+dfsg-1) unstable; urgency=low

  * New upstream release [October 2013]
    - dropped backported "ZBX-7091.patch".
  * Added *.ttf license/copyright paragraph to "debian/copyright".
  * Print contents of DEB_BUILD_OPTIONS on build-time.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 11 Oct 2013 13:53:47 +1100

zabbix (1:2.0.8+dfsg-2) unstable; urgency=high

  * New "ZBX-7091.patch" to fix SQL injection vulnerability CVE-2013-5743.
  * Build-Depends: automake1.9 --> automake (Closes: 724448)
    Thanks, Eric Dorland.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 04 Oct 2013 15:45:48 +1000

zabbix (1:2.0.8+dfsg-1) unstable; urgency=low

  * New upstream release [August 2013].
  * Build with "unixodbc-dev" and "--with-unixodbc".
  * frontend-php to Recommend "php5-ldap" which is needed for LDAP auth.
  * Dropped "ZBX-5924.patch" (applied-upstream).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 23 Aug 2013 05:37:20 +1000

zabbix (1:2.0.7+dfsg-1) unstable; urgency=low

  * New upstream release [July 2013].
  * New "ZBX-5924.patch" to fix CVE-2012-6086 (Closes: #697443).
  * Fixed proxy restart issue by adding PidFile to "zabbix_proxy.conf"
    (Closes: #718246).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 03 Aug 2013 18:53:28 +1000

zabbix (1:2.0.6+dfsg-2) unstable; urgency=low

  * "basename.patch" replaced with backported "ZBX-4986.patch".
  * Dropped obsolete "libcurl3-gnutls-dev" alternative from Build-Depends.
  * frontend-php:
    - "php5-pgsql | php5-mysql" removed from Suggests.
      since those packages are already in Depends;
    + promote "php5-pgsql" as first alternative in Depends because
      "SQL database" in tasksel installs PostgreSQL.
  * With their consent, removed
       Fabio Tranchitella <kobold@debian.org>
    and
       Michael Ablassmeier <abi@debian.org>
    from Uploaders. Thanks for your contribution, good fellows. :)
  * Source "/etc/default/rcS" instead of "/lib/init/vars.sh" in init
    scripts (lintianisation: "W: init.d-script-call-internal-API").
  * Reference get-orig-source implementation.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 24 Jul 2013 03:33:23 +1000
