=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christoph Haas <haas@debian.org>
-Uploaders: Fabio Tranchitella <kobold@debian.org>, Michael Ablassmeier <abi@debian.org>, Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), automake1.9, dh-autoreconf
- ,libcurl4-gnutls-dev | libcurl3-gnutls-dev
+Uploaders: Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper (>= 9), automake, dh-autoreconf
+ ,libcurl4-gnutls-dev
  ,libgcrypt-dev
  ,libiksemel-dev
  ,libldap2-dev
@@ -16,7 +16,9 @@
  ,libsnmp9-dev | libsnmp-dev
  ,libsqlite3-dev
  ,libssh2-1-dev
-Standards-Version: 3.9.4
+ ,libxml2-dev
+ ,unixodbc-dev
+Standards-Version: 3.9.5
 Homepage: http://zabbix.com
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zabbix.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/zabbix.git
@@ -41,8 +43,14 @@
 
 Package: zabbix-frontend-php
 Architecture: all
-Depends: ${misc:Depends}, ucf, apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite, php5-gd, ttf-dejavu-core
-Suggests: libapache2-mod-php5 | php5-fpm, php5-pgsql | php5-mysql
+Depends: ${misc:Depends}, ucf
+        ,apache2 | httpd
+        ,php5
+        ,php5-gd
+        ,php5-pgsql | php5-mysql | php5-sqlite
+        ,ttf-dejavu-core
+Recommends: php5-ldap
+Suggests: libapache2-mod-php5 | php5-fpm
 Description: network monitoring solution - PHP front-end
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
