## zabbix 2.2.2+dfsg

=== src/modules/dummy/Makefile ===
dummy: dummy.c
	gcc -shared -o dummy.so dummy.c -I../../../include
