=== debian/changelog ===
zabbix (1:2.2.2+dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/*.default:
      + Extended default config for agent and proxy.
    - debian/*.upstart:
      + Upstart support for all zabbix components.
    - debian/control:
      - Fix FTBFS by B-D on libgcrypt11-dev | libgcrypt20-dev.

 -- Artur Rona <ari-tczew@ubuntu.com>  Mon, 17 Feb 2014 00:00:11 +0100

zabbix (1:2.2.2+dfsg-1) unstable; urgency=high

  * New upstream release [February 2014].
    + CVE-2014-1682 (ZBX-7703) fixed vulnerability allowing to impersonate
      other users without proper credentials when using HTTP authentication
      (Closes: #737818).
    + CVE-2013-5572 (ZBX-6721) fixed LDAP authentication.
    + CVE-2014-1685 (ZBX-7693) restrict admin's ability to update media
      for other users.
  * Dropped "build_modernise-automake.patch" (applied-upstream).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 13 Feb 2014 21:57:26 +1100

zabbix (1:2.2.1+dfsg-1ubuntu3) trusty; urgency=low

  * debian/control: Hopefully, fixing FTBFS.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 13 Feb 2014 23:50:59 +0100

zabbix (1:2.2.1+dfsg-1ubuntu2) trusty; urgency=low

  * debian/control: Replace non-existing libgcrypt-dev with
    libgcrypt20-dev | libgcrypt11-dev.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 12 Feb 2014 22:09:00 +0100

zabbix (1:2.2.1+dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. (LP: #1277268) Remaining changes:
    - Extended default config for agent and proxy.
    - Upstart support for all zabbix components.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 11 Feb 2014 23:45:35 +0100

zabbix (1:2.2.1+dfsg-1) unstable; urgency=low

  * New upstream release [December 2013].
    + patches dropped:
      - ZBX-7479.patch
      - build_fix-hostname-FTBFS.patch
    + patches updated:
      + build_modernise-automake.patch
      + config_frontend-conffile-in-etc.patch
      + openssl2gcrypt.patch

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Dec 2013 10:15:55 +1100

zabbix (1:2.2.0+dfsg-6ubuntu1) trusty; urgency=low

  * Merge from Debian testing. Remaining changes:
    - Extended default config for agent and proxy.
    - Upstart support for all zabbix components.
  * New package from upstream, zabbix-java-gateway. LP: #1062217

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Thu, 12 Dec 2013 14:59:33 +0700

zabbix (1:2.2.0+dfsg-6) unstable; urgency=high

  * CVE-2013-6824: new upstream patch "ZBX-7479.patch" to fix command
    injection vulnerability in Agent.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 Dec 2013 15:25:24 +1100

zabbix (1:2.2.0+dfsg-5) unstable; urgency=low

  * Build "zabbix-java-gateway" using "jh_build" from "build-indep" target;
    removed "--enable-java" from build options; moved java-related
    Build-Depends to Build-Depends-Indep.
    Thanks to those changes Java no longer needed when only architecture
    dependent packages are built (e.g. on buildd servers).
  * Added note regarding building "zabbix-java-gateway" to README.source.
  * java-gateway: dropped obsolete directory "/etc/logrotate.d".
  * init: minor cleanup & corrections.
  * java-gateway.init: restart improvements: check if service really stopped;
    wait up to 5 sec. (if necessary) after stop before attempting to start
    service again; exit with error code if daemon didn't stop.
  * java-gateway.init: don't pass "--exec $DAEMON" on stop to fix daemon
    restart after "/usr/bin/java" switched to another alternative.
  * zabbix_java_gateway.conf template extended with JAVA_OPTIONS.
    Use case: pass something like "-Xmx256m" to limit daemon memory usage
    which can be too high by default.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 24 Nov 2013 02:25:14 +1100

zabbix (1:2.2.0+dfsg-4) unstable; urgency=low

  * Don't build with "--enable-java" on Hurd and kFreeBSD architectures
    due to compilation errors from Java 1.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 22 Nov 2013 21:44:55 +1100

zabbix (1:2.2.0+dfsg-3) unstable; urgency=low

  * "debian/rules" to check for existence of arch-all package before
    attempting to manipulate files in it. This is necessary to avoid FTBFS
    on buildd servers where only architecture dependent packages are built.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 22 Nov 2013 18:08:30 +1100

zabbix (1:2.2.0+dfsg-2) unstable; urgency=low

  * New binary package "zabbix-java-gateway".
    + build with "--enable-java".
    + new Build-Depends:
      + default-jdk
      + javahelper
      + libandroid-json-org-java
      + liblogback-java
      + libslf4j-java
      + junit4
  * Minor updates to "rules" and config file comments.
  * Patchworks:
    + patches sorted and re-named.
    + new patch to debianise java-gateway.
    + new patch to fix FTBFS on non-Linux architectures.
    + new patch to modernise automake setup in "configure.in".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 20 Nov 2013 05:49:54 +1100
