=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), automake, dh-autoreconf
  ,libcurl4-gnutls-dev
- ,libgcrypt-dev
+ ,libgcrypt11-dev | libgcrypt20-dev
  ,libiksemel-dev
  ,libldap2-dev
  ,libmysqlclient-dev
@@ -18,6 +18,13 @@
  ,libssh2-1-dev
  ,libxml2-dev
  ,unixodbc-dev
+## java-gateway deps:
+ ,javahelper
+Build-Depends-Indep: default-jdk
+                    ,libandroid-json-org-java
+                    ,liblogback-java
+                    ,libslf4j-java
+                    ,junit4
 Standards-Version: 3.9.5
 Homepage: http://zabbix.com
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zabbix.git
@@ -64,6 +71,24 @@
  .
  This package provides a web-browsable front-end to the Zabbix server, which
  can display graphs of the data collected from clients.
+
+Package: zabbix-java-gateway
+Architecture: all
+Depends: ${java:Depends}, ${misc:Depends}, adduser, lsb-base
+Recommends: ${java:Recommends}
+Description: network monitoring solution - Java gateway
+ Zabbix is a server/client network monitoring system with many features.
+ It can be used for:
+ .
+  - high level monitoring of IT services;
+  - centralized monitoring of your servers and applications;
+  - monitoring of SNMP-enabled devices;
+  - performance monitoring (process load, network activity, disk
+    activity, memory usage, OS parameters etc.);
+  - data visualization.
+ .
+ This package provides the software needed to monitor Java applications
+ using a Zabbix Java gateway. It collects information from JMX agent.
 
 Package: zabbix-proxy-mysql
 Architecture: any
