=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 ## Define the names of the resulting binary packages
 PKG_AGENT = zabbix-agent
 PKG_FRONTEND = zabbix-frontend-php
+PKG_GATEWAY_JAVA = zabbix-java-gateway
 PKG_PROXY_MYSQL = zabbix-proxy-mysql
 PKG_PROXY_PGSQL = zabbix-proxy-pgsql
 PKG_PROXY_SQLITE3 = zabbix-proxy-sqlite3
@@ -53,6 +54,12 @@
                     --with-ssh2 \
                     --with-unixodbc
 
+## Hurd and kFreeBSD only have Java 1.5 which can't compile java-gateway sources...
+#ifneq ($(DEB_BUILD_ARCH_OS),hurd)
+#ifneq ($(DEB_BUILD_ARCH_OS),kfreebsd)
+#CONFFLAGS_COMMON += --enable-java
+#endif
+#endif
 CONFFLAG_IPMI           = $(if $(shell dpkg --status libopenipmi-dev &>/dev/null),--with-openipmi)
 CONFFLAG_SERVER_MYSQL   = --with-mysql
 CONFFLAG_SERVER_PGSQL   = --with-postgresql
@@ -66,7 +73,7 @@
 VARIANTS := MYSQL PGSQL SQLITE3
 
 %:
-	dh $@ --parallel --max-parallel=4 --with autoreconf
+	dh $@ --parallel --max-parallel=4 --with autoreconf,javahelper
 
 override_dh_clean:
 	@echo Removing build directories in $(BUILD_PREFIX)
@@ -96,6 +103,13 @@
         dh_auto_build --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 \
     ;)
 
+build-indep:
+	## build zabbix-java-gateway.jar
+	## override_jh_build:
+	JAVA_HOME=/usr/lib/jvm/default-java \
+        CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
+        jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway debian/tmp-build-MYSQL/src/zabbix_java/zabbix-java-gateway.jar src/zabbix_java/src/com
+
 override_dh_auto_install:
 	## build man pages
 	dh_auto_install --sourcedirectory=$(BUILD_PREFIX)-MYSQL/man \
@@ -107,9 +121,22 @@
 	    find $$i -type f -name '*.sql' -printf 'compressing %p\n' \
 	        -exec gzip -9 '{}' \;;\
 	done
+	## Those files need to be renamed:
+	if [ -d "$(CURDIR)/debian/$(PKG_GATEWAY_JAVA)" ]; then \
+            cp -v src/zabbix_java/lib/logback.xml  $(CURDIR)/debian/$(PKG_GATEWAY_JAVA)/etc/zabbix/zabbix_java_gateway.logback.xml ;\
+            cp -v src/zabbix_java/settings.sh  $(CURDIR)/debian/$(PKG_GATEWAY_JAVA)/etc/zabbix/zabbix_java_gateway.conf ;\
+        fi
+
+override_jh_depends:
+	## make sure java-gateway.jar is executable. This is needed for jh_depends to generate correct {java:Depends}
+	if [ -d "$(CURDIR)/debian/$(PKG_GATEWAY_JAVA)" ]; then \
+            chmod -v +x $(CURDIR)/debian/$(PKG_GATEWAY_JAVA)/usr/sbin/*.jar ;\
+        fi
+	jh_depends -v -p$(PKG_GATEWAY_JAVA)
 
 override_dh_installinit:
 	dh_installinit -p $(PKG_AGENT)
+	dh_installinit -p $(PKG_GATEWAY_JAVA)
 	dh_installinit -p $(PKG_PROXY_MYSQL) --name zabbix-proxy
 	dh_installinit -p $(PKG_PROXY_PGSQL) --name zabbix-proxy
 	dh_installinit -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy
