## zabbix 2.2.5+dfsg

=== debian/changelog ===
zabbix (1:2.2.5+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Disabled "zabbix-java-gateway" and all corresponding Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Jul 2014 03:47:14 +1000

zabbix (1:2.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release [July 2014] (Closes: #754271).
    - fixed CVE-2014-3005: local file inclusion via XXE (Closes: #751910).
    - removed PHP-licensed code (Closes: #752627).
    - don't use deprecated function "mbstring.internal_encoding"
      (Closes: #749707).
  * zabbix-agent: Depends: +pciutils; Recommends: +usbutils (Closes: #744385).
  * Added "debian/gbp.conf".
  * Build-Depends:
    + "libgcrypt-dev" --> "libgcrypt20-dev | libgcrypt-dev".
    + "pkg-config".
  * Replace source-less minified .js files on build-time;
    added "source-is-missing" lintian-overrides; updated "debian/copyright".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 18 Jul 2014 03:16:47 +1000

zabbix (1:2.2.3+dfsg-1) unstable; urgency=low

  * New upstream release [April 2014].
  * zabbix-server-* packages to suggest "snmp-mibs-downloader" that may be
    needed when SNMP MIBs are missing (Closes: #740815).
  * README.Debian: improved Apache2 and Nginx configuration instructions
    (Closes: #740734); Thanks, Harald Dunkel.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 08 Apr 2014 14:22:06 +1000

zabbix (1:2.2.2+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Disabled "zabbix-java-gateway" and all corresponding Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 28 Mar 2014 14:30:17 +1100

zabbix (1:2.0.9+dfsg-1~bpo70+2) wheezy-backports; urgency=high

  * CVE-2013-6824: new upstream patch "ZBX-7479.patch" to fix command
    injection vulnerability in Agent.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 Dec 2013 14:47:37 +1100

zabbix (1:2.0.9+dfsg-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 16 Nov 2013 00:26:01 +1100

zabbix (1:2.0.8+dfsg-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 04 Oct 2013 16:35:30 +1000

zabbix (1:2.0.8+dfsg-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 Sep 2013 14:52:14 +1000

zabbix (1:2.0.6+dfsg-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 15 May 2013 12:46:10 +1000
