=== debian/rules ===
--- 
+++ 
@@ -73,16 +73,25 @@
 VARIANTS := MYSQL PGSQL SQLITE3
 
 %:
-	dh $@ --parallel --max-parallel=4 --with autoreconf,javahelper
+	dh $@ --parallel --max-parallel=4 --with autoreconf
+#,javahelper
 
 override_dh_clean:
-	@echo Removing build directories in $(BUILD_PREFIX)
+	@echo "Removing build directories in $(BUILD_PREFIX)"
 	$(RM) -r debian/tmp* config.log
+	@echo "Removing sourceless (minified) bundled libraries..."
+	$(RM) -v frontends/php/js/jquery/jquery.js \
+                 frontends/php/js/jquery/jquery-ui.js \
+                 frontends/php/js/vendors/activity-indicator.js
 	dh_clean
 
 # use --as-needed only if supported by dh-autoreconf (to simplify backporting)
 DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
 override_dh_autoreconf:
+	@echo "Replacing sourceless (minified) bundled libraries..."
+	cp -vfH debian/patches/missing-source/jquery.js  frontends/php/js/jquery/jquery.js
+	cp -vfH debian/patches/missing-source/jquery-ui.js  frontends/php/js/jquery/jquery-ui.js
+	cp -vfH debian/patches/missing-source/activity-indicator.js  frontends/php/js/vendors/activity-indicator.js
 	dh_autoreconf $(DH_AS_NEEDED)
 	## Copy the source directory (without the 'debian' directory) to build locations
 	## to configure and compile the sources there for each database flavor.
@@ -103,12 +112,12 @@
         dh_auto_build --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 \
     ;)
 
-build-indep:
-	## build zabbix-java-gateway.jar
-	## override_jh_build:
-	JAVA_HOME=/usr/lib/jvm/default-java \
-        CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
-        jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway debian/tmp-build-MYSQL/src/zabbix_java/zabbix-java-gateway.jar src/zabbix_java/src/com
+#build-indep:
+#	## build zabbix-java-gateway.jar
+#	## override_jh_build:
+#	JAVA_HOME=/usr/lib/jvm/default-java \
+#        CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
+#        jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway debian/tmp-build-MYSQL/src/zabbix_java/zabbix-java-gateway.jar src/zabbix_java/src/com
 
 override_dh_auto_install:
 	## build man pages
@@ -176,5 +185,3 @@
             src/zabbix_java/lib/*.jar
 	@echo "# Packing..."
 	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
-        | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
-        && $(RM) -r "$(PKG)-$(VER)"
